%define version	0.1.3
%define release	2.cvs20050104.2mdk

%define scim_version	1.2.0
%define uim_version	0.4.6

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-uim
Summary:	A wrapper for uim
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.net/projects/scim/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}-%{release}
Requires:			scim >= %{scim_version}
Requires:			uim >= %{uim_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		libuim-devel >= %{uim_version}
BuildRequires:		automake

%description
A wrapper for uim.


%package -n %{libname}
Summary:	Scim-uim library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-uim library.


%prep
%setup -q -n %name
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap

%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so


%changelog
* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-2.cvs20050104.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2.cvs20050104.1mdk
- rebuild with scim-1.1.3
- remove unneeded files
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2.cvs20041229.2mdk
- latest snapshot
- rebuild with scim-1.0.2

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- new release
- bump scim buildrequires

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release

* Tue Jul 06 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-3.cvs20040705.1mdk
- cvs 20040705

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk
